package controll;

import java.util.concurrent.Callable;

import gui.suchen.graph.KonzeptModel;
import tools.ConcurrentCache;

public class ConceptCacheControll {

	public static final ConcurrentCache<String, KonzeptModel> KONZEPTCACHE = new ConcurrentCache<String, KonzeptModel>();

	public static KonzeptModel getOrCreate(final String url) {
		return KONZEPTCACHE.getOrCreate(url, new Callable<KonzeptModel>() {
			public KonzeptModel call() {
				return new KonzeptModel(url);
			}
		});
	}
}
