package gui;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

public class Dialog {
	private static final String BASE_DIR = "Z:\\eclipseworkspace\\swpathoold\\material\\Testset\\testset1\\";

	public static JFileChooser generateFileChooser() {
		JFileChooser fc = new JFileChooser(BASE_DIR);
		fc.setMultiSelectionEnabled(false);
		fc.setFileFilter(new FileFilter() {
			public boolean accept(File arg0) {
				if (arg0.isDirectory())
					return true;
				else if (arg0.getName().endsWith(".xml"))
					return true;
				else
					return false;
			}

			public String getDescription() {
				return "XML-Dateien (*.xml)";
			};
		});
		return fc;
	}

	public static JFileChooser generateImageChooser() {
		JFileChooser fc = new JFileChooser(BASE_DIR);
		fc.setMultiSelectionEnabled(false);
		fc.setFileFilter(new FileFilter() {
			public boolean accept(File arg0) {
				if (arg0.isDirectory())
					return true;
				else if (arg0.getName().endsWith(".jpg")
						|| arg0.getName().endsWith(".gif")
						|| arg0.getName().endsWith(".png"))
					return true;
				else
					return false;
			}

			public String getDescription() {
				return "Bilder (*.jpg, *.gif, *.png)";
			};
		});
		return fc;
	}

	public static OpenDialog generateDBFileChooser(String[] initList) {
		OpenDialog t = new OpenDialog(null, initList);

		return t;
	}

}
