package controll;

import io.JenaLib;

import java.util.List;

import services.suchen.RelationCache;
import tools.Enums.Relation;

public class RelationCacheControll {

	private static RelationCache cache;

	public static void init() {
		cache = new RelationCache();
	}

	public static List<String> findParents(Relation relation, String ontClass) {
		return cache.getNeighbors(JenaLib.getClassFromString(ontClass),
				true, relation);
	}

	public static List<String> findChildren(Relation relation, String ontClass) {
		return cache.getNeighbors(JenaLib.getClassFromString(ontClass),
				false, relation);
	}
}
