
package gui.suchen.graph;

import java.awt.Color;

import tools.Enums.Ontologie;
import tools.Enums.Relation;




public interface GraphUIListener
{
	public void onAntiAliaseChange(boolean antialise);

	public void onVisibilityChange(Ontologie ontologie, boolean visible);

	public void onVisibilityChange(Relation relation, boolean visible);

	public void onBackgroundChange(Ontologie ontologie, Color neueFarbe);

	public void onForegroundChange(Ontologie ontologie, Color neueFarbe);

	public void onColorChange(Relation relation, Color neueFarbe);
}