
package services.coordination;


/**
 * �ber die ServiceID kann ein bestimmter Service identifiziert werden. Dies kann genutzt werden, um
 * einen bestimmten Service anzufragen oder, um f�r eine ServiceID einen ServiceProvider zu
 * registrieren.
 * 
 * @see services.coordination.ServiceCoordinator#requestService(ServiceID, Object)
 *      swpatho.seko.services.ServiceCoordinator#registerServiceProvider(ServiceProvider,
 *      ServiceID[])
 */
public enum ServiceID
{
	SHOW_UI_TESTS,
	SHOW_UI_GENERATE_INSTANCE,
	SHOW_UI_TEST_QUERY,
	SHOW_UI_SEARCH,
	SHOW_UI_REPORT,
	SHOW_UI_STATISTIK,
	SHOW_UI_PARSE_XML,
	SHOW_UI_NETGRAPH,

	SHOW_PROGRESS,

	SHOW_FOUND_ONTOLOGIES,
	SHOW_FOUND_REPORTS,
    SHOW_SIMILAR_REPORTS,

	RUN_ONTOLOGY_SEARCH,
	PERFORM_REPORT_SEARCH,
    PERFORM_SIMILARITY_SEARCH,
	PERFORM_DELETE_INDIVIDUALS
}