
package services.suchen;

import services.suchen.SuchService.Suchmodus;

public class OntologieSuchKonfiguration
{
	/* | = - = - = - = - = - = - = - = - = - = /-||=||-\ = - = - = - = - = - = - = - = - = - = | */
	/* | = == === ==== ===== ====== ======= === Fields ==== ======= ====== ===== ==== === == = | */
	/* | = - = - = - = - = - = - = - = - = - = \-||=||-/ = - = - = - = - = - = - = - = - = - = | */

	private final String	sucheEingaben;
	private final Suchmodus	suchmodus;

	/* | = - = - = - = - = - = - = - = - = - = /-||=||-\ = - = - = - = - = - = - = - = - = - = | */
	/* | = == === ==== ===== ====== ======== Constructors = ======= ====== ===== ==== === == = | */
	/* | = - = - = - = - = - = - = - = - = - = \-||=||-/ = - = - = - = - = - = - = - = - = - = | */

	public OntologieSuchKonfiguration(String suchEingaben, Suchmodus suchmodus) {
		// Preconditions:
		assert suchEingaben != null;
		assert suchmodus != null;
		assert suchEingaben.trim().length() > 0;

		// Implementation:
		this.sucheEingaben = suchEingaben;
		this.suchmodus = suchmodus;
	}

	/* | = - = - = - = - = - = - = - = - = - = /-||=||-\ = - = - = - = - = - = - = - = - = - = | */
	/* | = == === ==== ===== ====== ======= === Methods === ======= ====== ===== ==== === == = | */
	/* | = - = - = - = - = - = - = - = - = - = \-||=||-/ = - = - = - = - = - = - = - = - = - = | */

	public String getSucheEingaben() {
		return sucheEingaben;
	}

	public Suchmodus getSuchmodus() {
		return suchmodus;
	}
}
