package similarity.concepts.matcher.util;

import similarity.concepts.matcher.Matcher;
import similarity.ontology.Concept;

/**
 * This matcher does not calculate anything, but prints the given nodes.
 */
public class DummyMatcher implements Matcher
{
    /**
     * Prints "n1 <> n2" on stdout
     * 
     * @return 0
     * @see similarity.concepts.matcher.Matcher#calcSim(Concept, Concept)
     */
    public float calcSim(Concept c1, Concept c2)
    {
        System.out.println(c1+" <> "+c2);
        
        return 0;
    }

    @Override
    public String toString()
    {
        return "Dummy";
    }
}
