package similarity.ontology;

public class EmptySearchResult extends SearchResult
{
    private final int levelsSearched;
    
    public EmptySearchResult(int levelsSearched)
    {
        super(null,Integer.MAX_VALUE);
        this.levelsSearched = levelsSearched;
    }

    @Override
    public int getLevelsSearched()
    {
        return levelsSearched;
    }
    
    /**
     * @return true 
     */
    @Override
    public boolean isEmpty()
    {
        return true;
    }
}
