package similarity.ontology;

class SearchResult
{
    public final static SearchResult NO_RESULT = new SearchResult(null,Integer.MAX_VALUE);
    
    private final Concept concept;
    private final int distance;

    public SearchResult(Concept concept, int distance)
    {
        this.concept = concept;
        this.distance = distance;
    }
    
    public Concept getConcept()
    {
        return concept;
    }

    public int getDistance()
    {
        return distance;
    }
    
    public int getLevelsSearched()
    {
        return distance;
    }
    
    public boolean isEmpty()
    {
        return false;
    }
}
